// load in and process data 
import {
  csv,
} from 'd3';

export const loadAndProcessData = () => 

csv('https://vizhub.com/KCachel/datasets/londonairTypeDate.csv')
  .then(data => {
    data.forEach(d => {
    d.Year = +d.Year;
    d.Date = new Date(d.Date);
    d.NitricOxide = +d.NitricOxide;
    d.NitrogenDioxide = +d.NitrogenDioxide;
    d.OxidesofNitrogen = +d.OxidesofNitrogen;
    d.Ozone = +d.Ozone;
    d.PM10 = +d.PM10;
    d['PM2.5'] = +d['PM2.5']; 
    d.SulphurDioxide = +d.SulphurDioxide;
    });
    
  return data;
});